import * as organizations from 'aws-cdk-lib/aws-organizations';
import * as cdk from 'aws-cdk-lib/core';
import { Construct } from 'constructs';
import { IReportResource, ReportResource } from '../../lib/report';
export interface DlzTag {
    readonly name: string;
    /**
     * Specifying an empty array or undefined still enforces the tag presence but does not enforce the value.
     */
    readonly values?: string[];
}
export interface DlzTagPolicyProps {
    readonly policyTags: DlzTag[];
    readonly description?: string;
    readonly name: string;
    readonly tags?: Array<cdk.CfnTag>;
    readonly targetIds?: Array<string>;
}
export declare class DlzTagPolicy implements IReportResource {
    readonly policy: organizations.CfnPolicy;
    readonly reportResource: ReportResource;
    constructor(scope: Construct, id: string, props: DlzTagPolicyProps);
}
